<script lang="ts">
    import { logout } from "$lib/libauth";

    async function logoutAction() {
        await logout();
        location.reload();
    }
</script>

<button class="logout" type="button" on:click={logoutAction}>Logout</button>

<style>
    .logout {
        border: none;
        background-color: var(--island-button-color);
        color: var(--island-link-color);
        width: 35%;
        border-radius: 50px;
        font-size: 20px;
        min-width: 90px;
        margin: 30px;
        height: 48px;
        box-shadow: var(--box-shadow);
    }
</style>
